Skip to main content
PUT
/
core
/
v3
/
entity-groups
/
{entityGroupId}
Update a group
curl --request PUT \
  --url https://api-{region}.sesametime.com/core/v3/entity-groups/{entityGroupId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "groupId": "<string>",
  "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "showGroup": true,
  "costCenter": true
}
'
This response has no body data.

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

entityGroupId
string<uuid>
required

Entity Group ID

Body

application/json

Group object that needs to be updated

name
string
required

The name of the group

groupId
string

The Id of the group for business use

parentId
string<uuid>

The Id of the group parent, null if has no parent

description
string

A description for the group

showGroup
boolean

If the group should be shown

costCenter
boolean

If the group acts as a cost center

Response

204 - undefined